Page MenuHomePhabricator

HTML tags are incorrectly included in edit summaries when editing sections in 2017 editor
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Go to https://en.wikipedia.org/wiki/User:Deskana (WMF)/Big.
  2. Find section titled "This section is BIG" and click "Edit source".
  3. Observe that the wikitext for this section header is == This section is <big>BIG</big> ==.
  4. Make some small edit.
  5. Click "Save page".

Expected:

  • The auto-populated edit summary is /* This section is BIG */ as it is in the 2010 wikitext editor.

Actual:

  • The auto-populated edit summary is /* This section is <big>BIG</big> */ .

Event Timeline

Deskana created this task.Aug 21 2017, 12:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2017, 12:30 PM
Deskana triaged this task as Medium priority.Aug 21 2017, 12:55 PM

This is the "TODO" on line 2012 of ve.init.mw.ArticleTarget.js:

// With elements of extractSectionTitle + stripSectionName TODO:
// Arguably, we should just throw this through the API and then do
// the same extract-text pass we do in visual mode. Would save us
// having to think about wikitext here.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.Aug 22 2017, 7:16 PM
Deskana set the point value for this task to 1.Aug 23 2017, 3:48 PM

Change 374573 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] mw.ArticleTarget: strip HTML tags entirely from source-mode summary

https://gerrit.wikimedia.org/r/374573

Change 374573 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] mw.ArticleTarget: strip HTML tags entirely from source-mode summary

https://gerrit.wikimedia.org/r/374573

Deskana closed this task as Resolved.Aug 29 2017, 7:50 PM
Deskana assigned this task to DLynch.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 29 2017, 7:50 PM